# Anmap - Automatic nmap Scanner

Prerequisites:
* Python 3.6 (https://www.python.org/downloads/)
* python-nmap (https://xael.org/pages/python-nmap-en.html)
* nmap (https://nmap.org/)

```
usage: anmap.py [-h] [-u UDP] [-v] [-d] [-o] HOST                            
                                                                             
This script automates nmap scans by quickly scanning all TCP ports first and 
executing a thorough scan on all ports found open afterwards. Additionally it
scans a given number of most used UDP ports.                                 
                                                                             
positional arguments:                                                        
  HOST               The hosts to scan (Same notations as in nmap possible)  
                                                                             
optional arguments:                                                          
  -h, --help         show this help message and exit                         
  -u UDP, --udp UDP  The number of UDP ports to scan (Default 1000)          
  -v, --verbose      This enables verbose output                             
  -d, --debug        Sets flags -v and -u 100 and scans only the first 1000 
                     tcp ports                                               
  -o, --output       Enables saving of output files                          
```